Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.colorchooser
Class DefaultColorSelectionModel

    java.lang.Object
      |
      +--javax.swing.colorchooser.DefaultColorSelectionModel

All Implemented Interfaces:
  ColorSelectionModel, Serializable

public class DefaultColorSelectionModel
extends Object
implements ColorSelectionModel, Serializable

A generic implementation of `ColorSelectionModel`.

See Also:
  `Color`

Field Summary
`protected ChangeEvent` | `changeEvent` Only one `ChangeEvent` is needed per model instance since the event's only (read-only) state is the source property.
`protected EventListenerList` | `listenerList`

Constructor Summary
`DefaultColorSelectionModel()` Creates a `DefaultColorSelectionModel` with the current color set to `Color.white`.
`DefaultColorSelectionModel(Color color)` Creates a `DefaultColorSelectionModel` with the current color set to `color`, which should be non-`null`.

Method Summary
`void` | `addChangeListener(ChangeListener l)` Adds a `ChangeListener` to the model.
`protected void` | `fireStateChanged()` Runs each `ChangeListener`'s `stateChanged` method.
`ChangeListener[]` | `getChangeListeners()` Returns an array of all the `ChangeListener`s added to this `DefaultColorSelectionModel` with `addChangeListener`.
`Color` | `getSelectedColor()` Returns the selected `Color` which should be non-`null`.
`void` | `removeChangeListener(ChangeListener l)` Removes a `ChangeListener` from the model.
`void` | `setSelectedColor(Color color)` Sets the selected color to `color`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### changeEvent

    protected transient ChangeEvent changeEvent

  Only one `ChangeEvent` is needed per model instance since the event's only (read-only) state is the source property. The source of events generated here is always "this".

### listenerList

    protected EventListenerList listenerList

Constructor Detail

### DefaultColorSelectionModel

    public DefaultColorSelectionModel()

  Creates a `DefaultColorSelectionModel` with the current color set to `Color.white`. This is the default constructor.

### DefaultColorSelectionModel

    public DefaultColorSelectionModel(Color color)

  Creates a `DefaultColorSelectionModel` with the current color set to `color`, which should be non-`null`. Note that setting the color to `null` is undefined and may have unpredictable results.

Parameters:
  `color` - the new `Color`

Method Detail

### getSelectedColor

    public Color getSelectedColor()

  Returns the selected `Color` which should be non-`null`.

  Specified by:
    `getSelectedColor` in interface `ColorSelectionModel`
  Returns:
    the selected `Color`
  See Also:
    `ColorSelectionModel.setSelectedColor(java.awt.Color)`

### setSelectedColor

    public void setSelectedColor(Color color)

  Sets the selected color to `color`. Note that setting the color to `null` is undefined and may have unpredictable results. This method fires a state changed event if it sets the current color to a new non-`null` color; if the new color is the same as the current color, no event is fired.

  Specified by:
    `setSelectedColor` in interface `ColorSelectionModel`
  Parameters:
    `color` - the new `Color`
  See Also:
    `ColorSelectionModel.getSelectedColor()`, `ColorSelectionModel.addChangeListener(javax.swing.event.ChangeListener)`

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Adds a `ChangeListener` to the model.

  Specified by:
    `addChangeListener` in interface `ColorSelectionModel`
  Parameters:
    `l` - the `ChangeListener` to be added

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Removes a `ChangeListener` from the model.

  Specified by:
    `removeChangeListener` in interface `ColorSelectionModel`
  Parameters:
    `l` - the `ChangeListener` to be removed

### getChangeListeners

    public ChangeListener[] getChangeListeners()

  Returns an array of all the `ChangeListener`s added to this `DefaultColorSelectionModel` with `addChangeListener`.

  Returns:
    all of the `ChangeListener`s added, or an empty array if no listeners have been added
  Since:
    1.4

### fireStateChanged

    protected void fireStateChanged()

  Runs each `ChangeListener`'s `stateChanged` method.

  See Also:
    `EventListenerList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.